import NavbarCollapsed from "./NavbarCollapsed";
import NavbarCreateQuiz from "./NavbarCreateQuiz";
import Header from "@ui_kit/Header";


interface Props {
    isLoggedIn: boolean;
    isCollapsed?: boolean;
    mode?: "createQuiz" | "default";
}

export default function Navbar({ isLoggedIn, isCollapsed = false, mode = "default" }: Props) {

    return isCollapsed ?
        <NavbarCollapsed isLoggedIn={isLoggedIn} />
        :
        mode === "createQuiz" ?
            <NavbarCreateQuiz />
            :
            <Header isLoggedIn={true} />;
}