import { Box } from "@mui/material";


interface Props {
    color: string;
}

export default function FlagIcon({color}: Props) {

    return (
        <Box
            sx={{
                height: "30px",
                width: "30px",
                display: "flex",
                alignItems: "center",
                justifyContent: "center",
            }}
        >
            <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M5 27V6" stroke={color} stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                <path d="M5 21.0016C13 15.0016 19 27.0016 27 21.0016V6.00158C19 12.0016 13 0.00158215 5 6.00158" fill={color}/>
                <path d="M5 21.0016C13 15.0016 19 27.0016 27 21.0016V6.00158C19 12.0016 13 0.00158203 5 6.00158" stroke={color} stroke-width="1.6" stroke-linecap="round" stroke-linejoin="round"/>
            </svg>
        </Box>
    );
}