import * as React from 'react';
import Box from '@mui/material/Box';
import Drawer from '@mui/material/Drawer';
import Button from '@mui/material/Button';
import {SxProps, Theme} from "@mui/material";

interface Props {
    outerContainerSx?: SxProps<Theme>;
    children?: React.ReactNode;
    isOpen: boolean;
    openHC: (arg0: boolean) => void
}

export default function DrawerNewField({outerContainerSx: sx, children, isOpen, openHC }: Props) {
    return (
        <>
            <Drawer
                anchor='right'
                open={isOpen}
                onClose={() => openHC(false)}
            >
                <Box
                    sx={{ width: 450 }}
                    role="presentation"
                >

                    {children}
                </Box>
            </Drawer>
        </>
    );
}