import {Box, Typography, Link, useTheme} from "@mui/material";
import React from "react";
import EnterIcon from "../../../components/icons/questionsPage/enterIcon";
import SwitchDropDown from "./switchDropDown";
import ButtonsOptions from "../ButtonsOptions";


export default function DropDown() {
    const theme = useTheme();
    const [switchState, setSwitchState] = React.useState('setting');

    const SSHC = (data: string) => {
        setSwitchState(data)
    }

    return (
        <>
            <Box sx={{ padding: '20px'}}>
                <Typography
                    sx={{
                        padding: '0 0 33px 80px',
                        fontWeight: 400,
                        fontSize: '18px',
                        lineHeight: '21.33px',
                        color: theme.palette.grey2.main
                    }}
                >
                    Добавьте ответ
                </Typography>
                <Box sx={{ display: 'flex', alignItems: 'center', gap: '10px'}}>
                    <Link
                        component="button"
                        variant="body2"
                        sx={{color: theme.palette.brightPurple.main}}
                        // onClick={() => {
                        //     console.info("I'm a button.");
                        // }}
                    >
                        Добавьте ответ
                    </Link>
                    <Typography
                        sx={{
                            fontWeight: 400,
                            fontSize: '18px',
                            lineHeight: '21.33px',
                            color: theme.palette.grey2.main
                        }}
                    >или нажмите Enter</Typography>
                    <EnterIcon/>
                </Box>
            </Box>
            <ButtonsOptions switchState={switchState} SSHC={SSHC}/>
            <SwitchDropDown switchState={switchState}/>
        </>
    )
}