import { Link } from "react-router-dom";
import { Box, useTheme } from "@mui/material";

import CustomButton from "../../components/CustomButton";
import CreationFullCard from "../../components/CreationFullCard";

import Info from "@icons/Info";

import image from "../../assets/Rectangle 110.png";

export const Result = () => {
  const theme = useTheme();
  return (
    <Box component="section">
      <CreationFullCard
        text="Вы можете показывать разные результаты квиза (добавьте описание, изображение, стоимость и т.п.) разным пользователям, нужно только их создать и проставить условия. Таким образом ваш квиз получится максимально индивидуальным для каждого клиента. Показывайте картинку/видео вместо результата или переадресовывайте пользователя по нужной ссылке."
        text2="Этот шаг - необязательный, квиз будет работать и без автоматических результатов."
        image={image}
      />
      <Box sx={{ mt: "30px", alignItems: "center" }}>
        <Link to="/settings">
          <CustomButton
            variant="contained"
            sx={{
              backgroundColor: theme.palette.brightPurple.main,
              mr: "23px",
              minWidth: "258px",
            }}
          >
            Создать результаты
          </CustomButton>
        </Link>

        <Info />
      </Box>
    </Box>
  );
};
