import { Box, Button, Typography, useTheme } from "@mui/material";

import { SettingForm } from "../components/SettingForm";
import { DescriptionForm } from "../components/DescriptionForm/DescriptionForm";
import { ResultListForm } from "../components/ResultListForm";

import CustomWrapper from "../components/CustomWrapper";
import CustomButton from "../components/CustomButton";
import BackButton from "../components/Button/BackButton";

import Plus from "@icons/Plus";
import Info from "@icons/Info";
import IconPlus from "@icons/IconPlus";

export const Setting = () => {
  const theme = useTheme();
  return (
    <Box sx={{ width: "796px" }}>
      <Box sx={{ display: "flex", alignItems: "center", mb: "40px" }}>
        <Typography sx={{ pr: "10px" }} variant="h5">
          Настройки результатов
        </Typography>
        <Info />
        <Button
          disableRipple
          sx={{
            ml: "auto",
            width: "73px",
            height: "19px",
            color: "#7E2AEA",
            textDecoration: "underline",
            fontSize: "16px",
            "&:hover": {
              background: "none",
              textDecoration: "underline",
            },
          }}
          variant="text"
        >
          Свернуть
        </Button>
      </Box>
      <CustomWrapper sx={{ mt: "30px" }} text="Показывать результат" />
      <CustomWrapper sx={{ mt: "30px" }} text="Настройки почты" />
      <Box sx={{ display: "flex", alignItems: "center", mb: "15px", mt: "15px" }}>
        <Typography variant="p1" sx={{ color: "#4D4D4D", fontSize: "14px" }}>
          Создайте результат
        </Typography>
        <Button
          disableRipple
          sx={{
            ml: "auto",
            height: "19px",
            color: "#7E2AEA",
            textDecoration: "underline",
            fontSize: "16px",

            "&:hover": {
              background: "none",
              textDecoration: "underline",
            },
          }}
          variant="text"
        >
          Развернуть все
        </Button>
      </Box>
      <CustomWrapper result={true} text="Показывать результат" />
      <Box sx={{ width: "850px", display: "flex", alignItems: "center" }}>
        <Typography sx={{ color: "#7E2AEA", cursor: "default" }}>
          - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          - - - - - - -
          <IconPlus />
        </Typography>
      </Box>

      <CustomWrapper result={true} text="Настройки почты" />
      <Box sx={{ pt: "30px", display: "flex", alignItems: "center" }}>
        <Plus />
        <Typography component="div" sx={{ ml: "auto" }}>
          <BackButton />
          <CustomButton
            variant="contained"
            sx={{
              backgroundColor: theme.palette.brightPurple.main,
              width: "194px",
              height: "44px",
              ml: "10px",
            }}
          >
            Настроить форму
          </CustomButton>
        </Typography>
      </Box>

      <SettingForm />
      <ResultListForm />
      <DescriptionForm />
    </Box>
  );
};
