import * as React from 'react';
import StepOne from "./stepOne";
import Steptwo from "./steptwo";
import StartPageSettings from "./StartPageSettings";

interface Props {
    activeStep: number,
    handleNext: () => void
}

export default function SwitchStepPages({activeStep = 1, handleNext }: Props) {

    switch (activeStep) {
        case 1:
            return (<StepOne handleNext={handleNext}/>);
            break;
        case 2:
            return (<Steptwo handleNext={handleNext}/>);
            break
        case 3:
            return (<StartPageSettings/>);
            break;
        default:
            return (<></>)
    }
}