import { Box, Typography } from "@mui/material";


interface Props {
    header: string;
    text: string;
    image: any;
}

export default function CreationCard({ header, text, image }: Props) {

    return (
        <Box sx={{
            flexGrow: 1,
            backgroundColor: "white",
            p: "20px",
            borderRadius: "12px",
            display: "flex",
            flexDirection: "column",
            boxShadow: `0px 100px 309px rgba(210, 208, 225, 0.24),
                            0px 41.7776px 129.093px rgba(210, 208, 225, 0.172525), 
                            0px 22.3363px 69.0192px rgba(210, 208, 225, 0.143066), 
                            0px 12.5216px 38.6916px rgba(210, 208, 225, 0.12),
                            0px 6.6501px 20.5488px rgba(210, 208, 225, 0.0969343),
                            0px 2.76726px 8.55082px rgba(210, 208, 225, 0.0674749)`,
        }}>
            <Typography variant="h5">{header}</Typography>
            <Typography
                sx={{
                    color: "#4D4D4D",
                    mt: "20px",
                    mb: "35px",
                    width: "95%",
                }}
            >{text}</Typography>
            <img
                src={image}
                alt="quiz creation"
                style={{
                    display: "block",
                    width: "100%",
                    marginTop: "auto",
                }}
            />
        </Box>
    );
}